import javax.microedition.lcdui.*;
import java.util.Vector;

public class GroupList extends List implements CommandListener { 
    BrowserCanvas canvas;
    
    GroupList(BrowserCanvas canvas) { 
        super(Locale.current.getResource("Index"), IMPLICIT);
        this.canvas = canvas;
        Vector indices = canvas.browser.indices;
        for (int i = 0, n = indices.size(); i < n; i++) { 
            append(((Index)indices.elementAt(i)).name, null);
        }
        addCommand(MapBrowser.SELECT_CMD);
        addCommand(MapBrowser.BACK_CMD);
        setCommandListener(this);
        Display.getDisplay(canvas.browser).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d) 
    {
        if (c != MapBrowser.BACK_CMD) { 
            int i = getSelectedIndex();
            if (i >= 0) { 
                new IndexList(canvas, (Index)canvas.browser.indices.elementAt(i), "", this);
                return;
            }
        }
        Display.getDisplay(canvas.browser).setCurrent(canvas);
    }
}
           

    
